Bug 612989 - Package dependencies seem to be out of line
Package dependencies seem to be out of line
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: paprefs (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-09 09:17 EDT by Kai
Modified: 2010-08-12 18:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 18:44:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai 2010-07-09 09:17:56 EDT
Description of problem:
When trying to install paprefs, PackageKit related packages get pulled in, as well, even though there seems to be no relation between them at all (other than the fact that their names start with the same two letters in the alphabet).

Version-Release number of selected component (if applicable):
0.9.9-6.fc13

How reproducible:
Try installing paprefs without PackageKit components being installed

Steps to Reproduce:
1. open terminal as root
2. type `yum remove PackageKit` (if necessary)
2. type `yum install paprefs`

Actual results:
[~]# yum install paprefs
(.....)
Dependencies Resolved

================================================================
 Package                       Arch       Version             Repository   Size
================================================================
Installing:
 paprefs                       i686       0.9.9-6.fc13        fedora       63 k
Installing for dependencies:
 PackageKit                    i686       0.6.6-1.fc13        updates     534 k
 PackageKit-glib               i686       0.6.6-1.fc13        updates     208 k
 PackageKit-gtk-module         i686       0.6.6-1.fc13        updates      97 k
 PackageKit-qt                 i686       0.6.6-1.fc13        updates     168 k
 PackageKit-yum                i686       0.6.6-1.fc13        updates     160 k
 PackageKit-yum-plugin         i686       0.6.6-1.fc13        updates      94 k
 attica                        i686       0.1.2-2.fc13        fedora      109 k
 clucene-core                  i686       0.9.21b-1.fc13      updates     286 k
 fedora-kde-icon-theme         noarch     0.0.2-2.fc13        fedora       20 k
 kde-filesystem                noarch     4-35.fc13           fedora       46 k
 kde-settings                  noarch     4.4-16.fc13         fedora       40 k
 kdelibs                       i686       6:4.4.4-1.fc13      updates      12 M
 kdelibs-common                i686       6:4.4.4-1.fc13      updates     2.2 M
 kpackagekit                   i686       0.6.0-2.fc13        fedora      745 k
 polkit-qt                     i686       0.95.1-3.fc13       fedora       63 k
 qca2                          i686       2.0.2-2.fc12        fedora      404 k
 shared-desktop-ontologies     noarch     0.4-1.fc13          updates     106 k
 soprano                       i686       2.4.3-2.fc13        fedora      555 k
 strigi-libs                   i686       0.7.2-2.fc13        fedora      426 k
 virtuoso-opensource           i686       6.1.1-1.fc13        updates     3.7 M

Transaction Summary
================================================================
Install      21 Package(s)
Upgrade       0 Package(s)

Total download size: 22 M
Installed size: 73 M
Is this ok [y/N]: n
Exiting on user Command

Expected results:
[~]# yum install paprefs
(.....)
Dependencies Resolved

================================================================
 Package                       Arch       Version             Repository   Size
================================================================
Installing:
 paprefs                       i686       0.9.9-6.fc13        fedora       63 k

Transaction Summary
================================================================
Install      1 Package(s)
Upgrade       0 Package(s)

Additional info:
googling for `paprefs fedora dependencies` returned this link:
http://forums.fedoraforum.org/showthread.php?p=1286170
which leads me to believe, that this problem isn't entirely new, but seems to have been around since at least F12.
Comment 1 Bug Zapper 2010-07-30 08:29:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lennart Poettering 2010-08-12 18:44:18 EDT
(In reply to comment #0)
> Description of problem:
> When trying to install paprefs, PackageKit related packages get pulled in, as
> well, even though there seems to be no relation between them at all (other than
> the fact that their names start with the same two letters in the alphabet).

That's a misconception: if one of the modules that paprefs can configure is not installed a little button adjacent to the config option is shown which when clicked calls into pkgkit

Note You need to log in before you can comment on or make changes to this bug.